org.apache.cayenne.access.translator.batch

## Class BaseBatchTranslator<T extends BatchQuery>

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.BaseBatchTranslator<T>

- Type Parameters:
    `T` - type of the batch query to translate
  Direct Known Subclasses:
    DeleteBatchTranslator, InsertBatchTranslator, UpdateBatchTranslator

      public abstract class BaseBatchTranslator<T extends BatchQuery>
      extends Object

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DbAttributeBinding[]` | `bindings`
    `protected org.apache.cayenne.access.translator.batch.BatchTranslatorContext<T>` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseBatchTranslator(T query, DbAdapter adapter)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ExpressionNodeBuilder` | `buildQualifier(List<DbAttribute> attributeList)`
    `protected String` | `doTranslate(NodeBuilder nodeBuilder)` This method applies `BaseSQLTreeProcessor` to the provided SQL tree node and generates SQL string from it.
    `DbAttributeBinding[]` | `getBindings()`
    `protected abstract boolean` | `isNullAttribute(DbAttribute attribute)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected final org.apache.cayenne.access.translator.batch.BatchTranslatorContext<T extends BatchQuery> context

    - #### bindings

          protected DbAttributeBinding[] bindings

  - ### Constructor Detail

    - #### BaseBatchTranslator

          public BaseBatchTranslator(T query,
                                     DbAdapter adapter)

  - ### Method Detail

    - #### getBindings

          public DbAttributeBinding[] getBindings()

    - #### doTranslate

          protected String doTranslate(NodeBuilder nodeBuilder)

      This method applies `BaseSQLTreeProcessor` to the provided SQL tree node and generates SQL string from it.
      Parameters:
        `nodeBuilder` - SQL tree node builder
      Returns:
        SQL string

    - #### isNullAttribute

          protected abstract boolean isNullAttribute(DbAttribute attribute)

    - #### buildQualifier

          protected ExpressionNodeBuilder buildQualifier(List<DbAttribute> attributeList)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.